// ui.h
// user interface include file for open-source proportional solenoid valve ventilator
// (c) Bill Dally, April 2020
//
// Copyright 2020 Bill Dally
// 
// Licensed under the Ventilator Open Source License (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// 
// ./LICENSE
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

void ui(void) ;
uint8_t compute_derived(void) ;  // return 0 if flow exceeded 1 otherwise
void print_values(void);
void set_defaults(void) ;
void update_encoders(void) ;
void test_ui(void) ;
void test_v3(void) ;
uint8_t in_range(uint16_t val, uint16_t min, uint16_t max, char *msg) ;
void flow_exceeded(void) ;
void print_divisor(void) ;
void no_gain(void) ;
void run_script(void) ;
void dump_log(uint16_t len) ;
void one_breath(void) ;
void start_vent(void) ;
void stop_vent(void) ;
void dump_pf_log(void) ;
void reset_pf_log(void) ;
void calculate_spc(void) ;
void serial_ui(void) ;


